Page MenuHomePhabricator

DocBookExport: Fails when $wgJobRunRate === 0
Closed, ResolvedPublic

Description

When $wgJobRunRate is set to 0 in LocalSettings \DocBookExport::parseDocBookSyntax is called from a Job with $wgTitle unset. This leads to

Error from line 27 of /var/www/html/w/extensions/DocBookExport/DocBookExport.php: Call to a member function getText() on null
Backtrace:
#0 /var/www/html/w/extensions/DocBookExport/DocBookExport.php(13): DocBookExport::parseDocBookSyntax(Parser, array)
#1 /var/www/html/w/includes/parser/Parser.php(3383): DocBookExport::parseDocBookSyntaxParserFunction(Parser, string, string, string)
#2 /var/www/html/w/includes/parser/Parser.php(3106): Parser->callParserFunction(PPFrame_DOM, string, array)
#3 /var/www/html/w/includes/parser/Preprocessor_DOM.php(1229): Parser->braceSubstitution(array, PPFrame_DOM)
#4 /var/www/html/w/includes/parser/Parser.php(2921): PPFrame_DOM->expand(DOMElement, integer)
#5 /var/www/html/w/includes/parser/Parser.php(1277): Parser->replaceVariables(string)
#6 /var/www/html/w/includes/parser/Parser.php(451): Parser->internalParse(string)
#7 /var/www/html/w/includes/StubObject.php(111): Parser->parse(string, Title, ParserOptions, boolean, boolean, integer)
#8 /var/www/html/w/includes/StubObject.php(137): StubObject->_call(string, array)
#9 /var/www/html/w/includes/content/WikitextContent.php(329): StubObject->__call(string, array)
#10 /var/www/html/w/includes/content/AbstractContent.php(516): WikitextContent->fillParserOutput(Title, integer, ParserOptions, boolean, ParserOutput)
#11 /var/www/html/w/includes/jobqueue/jobs/RefreshLinksJob.php(227): AbstractContent->getParserOutput(Title, integer, ParserOptions, boolean)
#12 /var/www/html/w/includes/jobqueue/jobs/RefreshLinksJob.php(122): RefreshLinksJob->runForTitle(Title)
#13 /var/www/html/w/includes/jobqueue/JobRunner.php(295): RefreshLinksJob->run()
#14 /var/www/html/w/includes/jobqueue/JobRunner.php(193): JobRunner->executeJob(RefreshLinksJob, Wikimedia\Rdbms\LBFactorySimple, BufferingStatsdDataFactory, integer)
#15 /var/www/html/w/maintenance/runJobs.php(86): JobRunner->run(array)
#16 /var/www/html/w/maintenance/doMaintenance.php(92): RunJobs->execute()
#17 /var/www/html/w/maintenance/runJobs.php(119): require_once(string)
#18 {main}

Consequently the page prop is not inserted into the DB and the generated document is empty.

Event Timeline

Foxtrott created this task.Jun 8 2018, 6:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 8 2018, 6:04 PM

Hmm, https://www.mediawiki.org/wiki/Extension:DocBookExport states to contact wikiworks.com for [...] bug fixes on this extension?

Hmm, fair point. It's an extension by @Nischayn22 , who is active here. Don't know. Maybe he has an opinion.
If he wants to follow bugs here, that'd be great. Otherwise feel free to close. Or I will do it.

Vvjjkkii renamed this task from DocBookExport: Fails when $wgJobRunRate === 0 to rdbaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii removed Nischayn22 as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: Nischayn22; removed: Aklapper.
CommunityTechBot renamed this task from rdbaaaaaaa to DocBookExport: Fails when $wgJobRunRate === 0.Jul 2 2018, 3:07 PM
CommunityTechBot assigned this task to Nischayn22.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: Aklapper; removed: Nischayn22.

Change 530694 had a related patch set uploaded (by Nischayn22; owner: Nischayn22):
[mediawiki/extensions/DocBookExport@master] Fix for T196760

https://gerrit.wikimedia.org/r/530694

Change 530694 merged by Nischayn22:
[mediawiki/extensions/DocBookExport@master] Fix for T196760

https://gerrit.wikimedia.org/r/530694

Nischayn22 closed this task as Resolved.Aug 26 2019, 7:23 AM